( cd usr/bin ; rm -rf redis-sentinel )
( cd usr/bin ; ln -sf redis-server redis-sentinel )

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}


config etc/redis/redis.conf.new
config etc/redis/sentinel.conf.new
config etc/logrotate.d/redis.new
